Skip to Content
homemade
Dashboard

Start an agent chat

POST
/api/vms/{vmId}/chat-sessions

Starts a chat in the VM. A VM keeps at most one empty chat: when it already has one, you get that.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Response Body

The chat to open.

application/json
  1. response
sessionId*string
Match^[cC][hH][aA][tT]-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
Lengthlength <= 41
Example Request
curl -X POST 'https://api.homemade.dev/api/vms/string/chat-sessions'
Example Response
{  "sessionId": "string"}